Package Details: gazebo 11.14.0-2

Git Clone URL: https://aur.archlinux.org/gazebo.git (read-only, click to copy)
Package Base: gazebo
Description: A multi-robot simulator for outdoor environments
Upstream URL: https://classic.gazebosim.org/
Licenses: Apache
Submitter: None
Maintainer: acxz
Last Packager: acxz
Votes: 35
Popularity: 0.023955
First Submitted: 2008-10-18 22:59 (UTC)
Last Updated: 2023-12-11 14:35 (UTC)

Dependencies (34)

Sources (1)

Pinned Comments

billypilgrim commented on 2022-05-09 16:04 (UTC)

Development is on Github: https://github.com/acxz/gazebo-arch Please open issues and PRs there instead of commenting.

Latest Comments

1 2 3 4 5 6 .. 33 Next › Last »

NextAlone commented on 2023-10-13 18:49 (UTC)

Please add this patch before next gazeno stable version released to fix build with graphviz 9.0.

"https://github.com/gazebosim/gazebo-classic/pull/3345.patch"
+  # Apply patch to fix build with graphviz 9.0
+  patch -Np1 -i ../3345.patch

billypilgrim commented on 2022-05-09 16:04 (UTC)

Development is on Github: https://github.com/acxz/gazebo-arch Please open issues and PRs there instead of commenting.

billypilgrim commented on 2022-05-09 15:22 (UTC)

I have finally been able to spend some time getting this package working again and bumping the version to 11.10.2.

Unfortunately, several of the ignition-* dependencies are not building because of issues with those packages, but I've sent fixes, so hopefully they'll be working again soon.

wbthomason commented on 2022-05-06 16:54 (UTC)

@leuko It appears that the compilation error was fixed in https://github.com/osrf/gazebo/commit/2f0f7af4868883d1a6fea30086b3fcd703d583fc, which is (as of this writing) the current HEAD.

leuko commented on 2022-05-06 08:23 (UTC) (edited on 2022-05-06 08:23 (UTC) by leuko)

Tried to compile 11.10.2. I can confirm that protobuf 3.20 causes an error during compilation.

wbthomason commented on 2022-04-25 19:34 (UTC)

Gazebo (even the updated version 11.10.2) seems to be unable to compile with the latest protobuf (3.20.1). In case anyone else runs into this, the only workaround without upstream changes that I've found so far is downgrading protobuf.

stefano.p commented on 2022-04-25 07:34 (UTC) (edited on 2022-04-25 07:35 (UTC) by stefano.p)

I found this alternative way to compile gazebo without uninstalling ffmpeg5.


sudo pacman -S ffmpeg4.4
export PKG_CONFIG_PATH=/usr/lib/ffmpeg4.4/pkgconfig
yay -S gazebo

bobosito commented on 2022-02-27 15:31 (UTC) (edited on 2022-03-04 15:41 (UTC) by bobosito)

Currently for ignition-common-3 you have to uninstall ffmpeg and replace with ffmpeg4.4. Try this

sudo pacman -Rd --nodeps ffmpeg
sudo pacman -S ffmpeg4.4
yay -S ignition-common-3
yay -S gazebo
yay -S ffmpeg # since ffmpeg is now at version 5

bobosito commented on 2022-02-27 14:22 (UTC)

Hi @joanmanel. When you install packages a lot of the times you don't have the packages that the package you're interested in depends on. If you're using the aur helper yay, I'm pretty sure it tries to install the dependencies automatically. The output you pasted is actually an error message for ignition-common-3 not gazebo.

joanmanel commented on 2022-02-24 16:45 (UTC) (edited on 2022-02-24 16:47 (UTC) by joanmanel)

Hi, trying to install gazebo for the first time, I get the following error, I wonder if you could tell me how to fix it:

[ 33%] Building CXX object av/src/CMakeFiles/ignition-common3-av.dir/AudioDecoder.cc.o
/tmp/yaourt-tmp-juanma/aur-ignition-common-3/src/ign-common-ignition-common3_3.14.0/av/src/AudioDecoder.cc: In member function ‘bool ignition::common::AudioDecoder::Decode(uint8_t**, unsigned int*)’:
/tmp/yaourt-tmp-juanma/aur-ignition-common-3/src/ign-common-ignition-common3_3.14.0/av/src/AudioDecoder.cc:135:24: error: ‘avcodec_decode_audio4’ was not declared in this scope; did you mean ‘avcodec_decode_subtitle2’?
  135 |         bytesDecoded = avcodec_decode_audio4(this->data->codecCtx, decodedFrame,
      |                        ^~~~~~~~~~~~~~~~~~~~~
      |                        avcodec_decode_subtitle2
/tmp/yaourt-tmp-juanma/aur-ignition-common-3/src/ign-common-ignition-common3_3.14.0/av/src/AudioDecoder.cc: In member function ‘bool ignition::common::AudioDecoder::SetFile(const string&)’:
/tmp/yaourt-tmp-juanma/aur-ignition-common-3/src/ign-common-ignition-common3_3.14.0/av/src/AudioDecoder.cc:227:44: error: ‘AVStream’ {aka ‘struct AVStream’} has no member named ‘codec’
  227 |     if (this->data->formatCtx->streams[i]->codec->codec_type == // NOLINT(*)
      |                                            ^~~~~
/tmp/yaourt-tmp-juanma/aur-ignition-common-3/src/ign-common-ignition-common3_3.14.0/av/src/AudioDecoder.cc:253:31: error: ‘AVStream’ {aka ‘struct AVStream’} has no member named ‘codec’
  253 |     this->data->audioStream]->codec;
      |                               ^~~~~
/tmp/yaourt-tmp-juanma/aur-ignition-common-3/src/ign-common-ignition-common3_3.14.0/av/src/AudioDecoder.cc:259:43: error: invalid conversion from ‘const AVCodec*’ to ‘AVCodec*’ [-fpermissive]
  259 |   this->data->codec = avcodec_find_decoder(this->data->codecCtx->codec_id);
      |                       ~~~~~~~~~~~~~~~~~~~~^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
      |                                           |
      |                                           const AVCodec*
make[2]: *** [av/src/CMakeFiles/ignition-common3-av.dir/build.make:76: av/src/CMakeFiles/ignition-common3-av.dir/AudioDecoder.cc.o] Error 1
make[1]: *** [CMakeFiles/Makefile2:395: av/src/CMakeFiles/ignition-common3-av.dir/all] Error 2
make: *** [Makefile:146: all] Error 2
==> ERROR: A failure occurred in build().
    Aborting...
==> ERROR: Makepkg was unable to build ignition-common-3.
==> Restart building ignition-common-3 ? [y/N]